Bug 116883 - FILEOPEN DOCX Numbering format shown as "1.1.1-" even though it should be "1-1-1-"
Summary: FILEOPEN DOCX Numbering format shown as "1.1.1-" even though it should be "1-...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Vasily Melenchuk (CIB)
URL:
Whiteboard: target:7.0.0 target:6.4.5
Keywords: filter:docx
Depends on:
Blocks: DOCX-Bullet-Number-Outline-Lists
  Show dependency treegraph
 
Reported: 2018-04-08 13:30 UTC by Buovjaga
Modified: 2020-05-28 15:57 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2018-04-08 13:30:36 UTC
1. Open attachment 90696 [details], go to page 2
2. Compare to how it looks like in MSO: attachment 90697 [details]

Split from bug 72640. Note that this is not dependent on RTL.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: d4c0e7ef2b7f7e3cb36996bad72ac255b630beb4
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on April 8th 2018

Arch Linux 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 1 Commit Notification 2020-04-27 20:36:44 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7459b9ecb54a298f02d19089620149718f8d8d48

tdf#116883: sw: support for lists level format string

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Buovjaga 2020-05-02 13:27:39 UTC
Thanks for the fix!

Arch Linux 64-bit
Version: 7.0.0.0.alpha0+
Build ID: 05b87ae66ebccd06995cf530b860443ad9503b31
CPU threads: 8; OS: Linux 5.6; UI render: default; VCL: kf5; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 2 May 2020
Comment 3 Commit Notification 2020-05-04 20:48:51 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0bb9197653f9fb73735769acca5f19428726baa6

tdf#116883: sw: unittest for lists with complex level format

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-05-05 20:23:52 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/10e99b6ad18a8575351e1a9a6b129b6a6e1f0586

tdf#116883: sw: support for lists level format string

It will be available in 6.4.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.